;;*****************************************************************************
;;
;; File: BasicOpCodes.asm
;;
;; CBM Basic Token Codes
;;*****************************************************************************

BASIC_TKN_END     EQU $80
BASIC_TKN_FOR     EQU $81
BASIC_TKN_NEXT    EQU $82
BASIC_TKN_DATA    EQU $83
BASIC_TKN_INPUT#  EQU $84
BASIC_TKN_INPUT   EQU $85
BASIC_TKN_DIM     EQU $86
BASIC_TKN_READ    EQU $87
BASIC_TKN_LET     EQU $88
BASIC_TKN_GOTO    EQU $89
BASIC_TKN_RUN     EQU $8A
BASIC_TKN_IF      EQU $8B
BASIC_TKN_RESTORE EQU $8C
BASIC_TKN_GOSUB   EQU $8D
BASIC_TKN_RETURN  EQU $8E
BASIC_TKN_REM     EQU $8F
BASIC_TKN_STOP    EQU $90
BASIC_TKN_ON      EQU $91
BASIC_TKN_WAIT    EQU $92
BASIC_TKN_LOAD    EQU $93
BASIC_TKN_SAVE    EQU $94
BASIC_TKN_VERIFY  EQU $95
BASIC_TKN_DEF     EQU $96
BASIC_TKN_POKE    EQU $97
BASIC_TKN_PRINT#  EQU $98
BASIC_TKN_PRINT   EQU $99
BASIC_TKN_CONT    EQU $9A
BASIC_TKN_LIST    EQU $9B
BASIC_TKN_CLR     EQU $9C
BASIC_TKN_CMD     EQU $9D
BASIC_TKN_SYS     EQU $9E
BASIC_TKN_OPEN    EQU $9F
BASIC_TKN_CLOSE   EQU $A0
BASIC_TKN_GET     EQU $A1
BASIC_TKN_NEW     EQU $A2
BASIC_TKN_TAB(    EQU $A3
BASIC_TKN_TO      EQU $A4
BASIC_TKN_FN      EQU $A5
BASIC_TKN_SPC(    EQU $A6
BASIC_TKN_THEN    EQU $A7
BASIC_TKN_NOT     EQU $A8
BASIC_TKN_STEP    EQU $A9
BASIC_TKN_+       EQU $AA
BASIC_TKN_-       EQU $AB
BASIC_TKN_*       EQU $AC
BASIC_TKN_/       EQU $AD
BASIC_TKN_^       EQU $AE
BASIC_TKN_AND     EQU $AF
BASIC_TKN_OR      EQU $B0
BASIC_TKN_>       EQU $B1
BASIC_TKN_=       EQU $B2
BASIC_TKN_<       EQU $B3
BASIC_TKN_SGN     EQU $B4
BASIC_TKN_INT     EQU $B5
BASIC_TKN_ABS     EQU $B6
BASIC_TKN_USR     EQU $B7
BASIC_TKN_FRE     EQU $B8
BASIC_TKN_POS     EQU $B9
BASIC_TKN_SQR     EQU $BA
BASIC_TKN_RND     EQU $BB
BASIC_TKN_LOG     EQU $BC
BASIC_TKN_EXP     EQU $BD
BASIC_TKN_COS     EQU $BE
BASIC_TKN_SIN     EQU $BF
BASIC_TKN_TAN     EQU $C0
BASIC_TKN_ATN     EQU $C1
BASIC_TKN_PEEK    EQU $C2
BASIC_TKN_LEN     EQU $C3
BASIC_TKN_STR$    EQU $C4
BASIC_TKN_VAL     EQU $C5
BASIC_TKN_ASC     EQU $C6
BASIC_TKN_CHR$    EQU $C7
BASIC_TKN_LEFT$   EQU $C8
BASIC_TKN_RIGHT$  EQU $C9
BASIC_TKN_MID$    EQU $CA
BASIC_TKN_PI      EQU $FF

